import '../models/food.dart';

List<Food> castDynamicToListFood(dynamic dynamicList) {
  List<Food> foodList = [];
  if(dynamicList == null){
    return foodList;
  }
  for (Food element in dynamicList) {
    foodList.add(element);
  }
  return foodList;
}

Map<String,List<Food>> castDynamicMap(dynamic dynamicMap){
  Map<String,List<Food>> foodMap = {};
  if(dynamicMap == null){
    return foodMap;
  }
  for(dynamic key in dynamicMap.keys){
    foodMap.putIfAbsent(key as String , () => castDynamicToListFood(dynamicMap[key]));
  }
  return foodMap;
}
